Get all bookings for the current user
curl --request GET \
--url https://tandem.hlofiys.xyz/api/my-bookings \
--header 'Authorization: Bearer <token>'import requests
url = "https://tandem.hlofiys.xyz/api/my-bookings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tandem.hlofiys.xyz/api/my-bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tandem.hlofiys.xyz/api/my-bookings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tandem.hlofiys.xyz/api/my-bookings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tandem.hlofiys.xyz/api/my-bookings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://tandem.hlofiys.xyz/api/my-bookings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"booking_id": 123,
"is_paid": true,
"created_at": "2023-11-07T05:31:56Z",
"event_name": "<string>",
"start_time": "2025-10-20T19:00:00Z",
"end_time": "2025-10-20T22:30:00Z",
"hall_name": "Большой зал",
"hall_address": "ул. Главная, д. 1",
"row_label": "12",
"seat_label": "7",
"price": 50
}
]{
"message": "<string>"
}{
"message": "<string>"
}Bookings
Get all bookings for the current user
Retrieves a list of all bookings (past and future) associated with the currently authenticated user. Each item in the list contains enriched details about the event, hall, and seat. Requires user authentication.
GET
/
api
/
my-bookings
Get all bookings for the current user
curl --request GET \
--url https://tandem.hlofiys.xyz/api/my-bookings \
--header 'Authorization: Bearer <token>'import requests
url = "https://tandem.hlofiys.xyz/api/my-bookings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tandem.hlofiys.xyz/api/my-bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tandem.hlofiys.xyz/api/my-bookings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tandem.hlofiys.xyz/api/my-bookings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tandem.hlofiys.xyz/api/my-bookings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://tandem.hlofiys.xyz/api/my-bookings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"booking_id": 123,
"is_paid": true,
"created_at": "2023-11-07T05:31:56Z",
"event_name": "<string>",
"start_time": "2025-10-20T19:00:00Z",
"end_time": "2025-10-20T22:30:00Z",
"hall_name": "Большой зал",
"hall_address": "ул. Главная, д. 1",
"row_label": "12",
"seat_label": "7",
"price": 50
}
]{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Response
A successful response returning a list of the user's bookings. The list can be empty if the user has no bookings.